Bug 1326366 - wrong epoll_event struct for ppc64le/ppc64
Summary: wrong epoll_event struct for ppc64le/ppc64
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang
Version: 24
Hardware: ppc64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jakub Čajka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-04-12 14:23 UTC by Ngo Than
Modified: 2016-04-17 23:42 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-04-17 23:42:01 UTC


Attachments (Terms of Use)
attach the backported fix for epoll struct on power64 (4.42 KB, patch)
2016-04-12 14:26 UTC, Ngo Than
no flags Details | Diff

Description Ngo Than 2016-04-12 14:23:16 UTC
Description of problem:
The epoll_event structure is defined incorrectly which causes the failures in fsnotify.

Version-Release number of selected component (if applicable):
golang-1.6-1

How reproducible:
rebuild golang-github-go-fsnotify-fsnotify on powerpc

Actual results:
--- FAIL: TestPollerWithData (0.00s)
        inotify_poller_test.go:85: expected poller to return true
--- FAIL: TestPollerWithClose (0.00s)
        inotify_poller_test.go:119: expected poller to return true
--- FAIL: TestPollerWithWakeupAndData (0.00s)
        inotify_poller_test.go:140: expected poller to return true
--- FAIL: TestPollerConcurrent (0.05s)
        inotify_poller_test.go:197: expected true
--- FAIL: TestInotifyCloseCreate (0.05s)
        inotify_test.go:135: Took too long to wait for event
--- FAIL: TestInotifyStress (5.00s)
        inotify_test.go:237: Expected at least 50 creates, got 0
--- FAIL: TestFsnotifyMultipleOperations (0.66s)
        integration_test.go:156: incorrect number of create events received after 500 ms (0 vs 2)
--- FAIL: TestFsnotifyMultipleCreates (0.75s)
        integration_test.go:283: incorrect number of create events received after 500 ms (0 vs 2)
--- FAIL: TestFsnotifyDirOnly (0.55s)
        integration_test.go:385: incorrect number of create events received after 500 ms (0 vs 1)
--- FAIL: TestFsnotifyDeleteWatchedDir (0.50s)
        integration_test.go:463: did not receive at least 2 delete events, received 0 after 500 ms
--- FAIL: TestFsnotifySubDir (0.71s)
        integration_test.go:542: incorrect number of create events received after 500 ms (0 vs 2)
--- FAIL: TestFsnotifyRename (0.51s)
        integration_test.go:622: fsnotify rename events have not been received after 500 ms
--- FAIL: TestFsnotifyRenameToCreate (0.52s)
        integration_test.go:698: fsnotify create events have not been received after 500 ms
--- FAIL: TestFsnotifyRenameToOverwrite (0.50s)
        integration_test.go:786: fsnotify events have not been received after 500 ms
--- FAIL: TestFsnotifyAttrib (0.51s)
        integration_test.go:925: fsnotify attribute events have not received after 500 ms
--- FAIL: TestFsnotifyFakeSymlink (0.50s)
        integration_test.go:1042: Created bogus symlink
        integration_test.go:1057: fsnotify create events were not received after 500 ms

Expected results:
it should be built fine on ppc64

Additional info:
this issue is fixed in golang upstream. I also backported the fix for current golang-1.6 in fedora and confirmed that
it fixes this epoll issue. The golang-github-go-fsnotify-fsnotify also built fine with new fixed golang.
The backported fix will be attached in next comment

Comment 1 Ngo Than 2016-04-12 14:26 UTC
Created attachment 1146469 [details]
attach the backported fix for epoll struct on power64

Comment 2 Jakub Čajka 2016-04-13 13:42:18 UTC
upstream issue https://github.com/golang/go/issues/15135

Comment 3 Fedora Update System 2016-04-13 13:46:34 UTC
golang-1.6.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2940ad5550

Comment 4 Fedora Update System 2016-04-13 21:23:08 UTC
golang-1.6.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2940ad5550

Comment 5 Fedora Update System 2016-04-17 23:41:41 UTC
golang-1.6.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.